<form [formGroup]="approvalFormGroup">
 <div class="example-container mat-elevation-z4" fxLayout="column"  fxLayoutGap="20px" >
    <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
        <div fxFlex="30" class="required-label-color">Is this Site tracked?</div>
        <div fxFlex="30">
            <mat-radio-group  [(ngModel)]="siteApprovalData.siteTrackedType" fxLayoutGap="20px" formControlName="issiteTrackedRadioCtrl"  >
                <mat-radio-button  *ngFor="let siteTrackedType of isYesNoList" [value]="siteTrackedType.refGroupDetailID">
                        {{siteTrackedType.refGroupDetailDescription}} 
                    </mat-radio-button>
          </mat-radio-group>
        </div> 
    </div>
    <div fxLayout="row" *ngIf="(siteApprovalData.siteTrackedType == 33)" class="div-row-padding" fxLayoutAlign="left center">
        <div fxFlex="30" class="required-label-color">Site TAD Liaison</div>
        <div fxFlex="30">
         <mat-form-field style="width: 400px;" appearance="outline" >
          <mat-select formControlName="tadLiasonCtrl"  fxLayoutGap="20px" [(ngModel)]="siteApprovalData.tadLiasion" placeholder="Select">
            <mat-option *ngFor="let tadLiason of tadLiaisons" [value]="tadLiason.userId">
              {{tadLiason.userName}}
            </mat-option>
          </mat-select>
        </mat-form-field>
       </div> 
      </div>
      <div fxLayout="row" class="div-row" fxLayoutAlign="left center" *ngIf="siteApprovalData.tcoContractStartDate">
          <div fxFlex="30" class="required-label-color">TCO (Temporary Certificate of Occupancy) expected start date</div>
          <div fxFlex="30">
           <label>{{siteApprovalData.tcoContractStartDate | date:'MM/dd/yyyy'  }}</label>   
          </div> 
      </div>
      <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
          <div fxFlex="30" class="required-label-color">Is this Site available for referrals?</div>
          <div fxFlex="30">
            <mat-radio-group  [(ngModel)]="siteApprovalData.referralAvailableType" fxLayoutGap="20px" formControlName="referralAvailableTypeRadioCtrl"  >
                <mat-radio-button  *ngFor="let referralAvailableType of isYesNoList" [value]="referralAvailableType.refGroupDetailID">
                        {{referralAvailableType.refGroupDetailDescription}} 
                  </mat-radio-button>
           </mat-radio-group>
          </div> 
        </div>
    <div fxLayout="row" class="div-row-padding" fxLayoutAlign="left center">
            <div *ngIf="siteApprovalData.referralAvailableType == 33" class="required-label-color" fxFlex="30" class="required-label-color">If Yes,specify site available date</div>
            <div *ngIf="siteApprovalData.referralAvailableType == 34" class="required-label-color" fxFlex="30" class="required-label-color">If No,specify the expected available date</div>
            <div fxFlex="30" *ngIf="siteApprovalData.referralAvailableType == 33 || siteApprovalData.referralAvailableType == 34 " >
              <mat-form-field appearance="outline" >
                <input matInput [matDatepicker]="pickerexpectedDate" placeholder="MM/DD/YYYY" [(ngModel)]="siteApprovalData.expectedAvailableDate" formControlName="expectedAvailableDateCtrl"  >
                    <mat-icon matSuffix (click)="pickerexpectedDate.open()" style="cursor:pointer; color:#777;">today
                    </mat-icon>
                    <mat-datepicker #pickerexpectedDate></mat-datepicker>
                </mat-form-field>
          </div> 
      </div>
      <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
          <div fxFlex="30" class="required-label-color">Is this Site Active ?</div>
          <div fxFlex="30">
           
          <mat-radio-group   fxLayoutGap="20px"  [(ngModel)]="siteApprovalData.isActive" formControlName="isActiveRadioCtrl" >
                <mat-radio-button  (click)="isActiveSelection(true)" [value]="true"  > Yes </mat-radio-button>
                <mat-radio-button  (click)="isActiveSelection(false)" [value]="false"  class="mat-radio-button-option-no"> No </mat-radio-button> 
          </mat-radio-group>
          </div> 
      </div>
      <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
          <div fxFlex="30" class="required-label-color">Additional Comments</div>
          <div fxFlex="30" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" >
             <mat-form-field appearance="outline"  style='height:60px;width:300px'   > 
                    <textarea matInput required maxlength="200" rows="4" formControlName="additionalcommentsCtrl" [(ngModel)]="siteApprovalData.addlApproverComments" maxlength="200" > 
                    </textarea>
               </mat-form-field>
          </div> 
    </div>  
    <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
        <div fxLayout="column"><span>&nbsp;</span></div>
        <div fxLayout="column" >
                <span>&nbsp;</span>
        </div>  
    </div>
    </div>
</form>
